Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037885
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2018-02-12 12:262018-03-02 21:18
ReporterJONHMView Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision72f923b76be5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037885: Performance issue in Physical Inventory when deleting a record with too many lines

DescriptionPerformance issue in Physical Inventory when deleting a record with too many lines. Tested on an environment which have a physical inventory with 23K lines.
Steps To ReproduceOpen physical inventory window
Delete a record with 23K lines
- It takes for about 60 minutes
Proposed SolutionCreate an index on m_inventoryline table:

CREATE INDEX m_inventoryline_inventoryline
  ON m_inventoryline (relatedinventorylineid)
  WHERE relatedinventorylineid IS NOT NULL;

- It reduces the time up to 1 minute
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0102601)
hgbot (developer)
2018-02-22 16:10

Repository: erp/devel/pi
Changeset: 72f923b76be55ff620debeb56bbf76a5bef1422f
Author: Mark <markmm82 <at> gmail.com>
Date: Fri Feb 16 13:08:17 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/72f923b76be55ff620debeb56bbf76a5bef1422f [^]

Fixes issue 37885:Performance issue in Physical Inventory when deleting a record
with too many lines

To improve the performance when deleting inventory records with too many lines was
added a new index on RELATEDINVENTORYLINEID column of M_INVENTORYLINE_INVENTORYLINE
table for those not null

---
M src-db/database/model/tables/M_INVENTORYLINE.xml
---
(0102602)
dmiguelez (developer)
2018-02-22 16:11

Code Review + Testing Ok
(0102946)
hudsonbot (developer)
2018-03-02 21:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/05dece3dc80b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-12 12:26 JONHM New Issue
2018-02-12 12:26 JONHM Assigned To => Triage Finance
2018-02-12 12:26 JONHM Modules => Core
2018-02-12 12:26 JONHM Triggers an Emergency Pack => No
2018-02-14 15:22 markmm82 Assigned To Triage Finance => markmm82
2018-02-14 15:26 markmm82 Status new => scheduled
2018-02-22 16:10 hgbot Checkin
2018-02-22 16:10 hgbot Note Added: 0102601
2018-02-22 16:10 hgbot Status scheduled => resolved
2018-02-22 16:10 hgbot Resolution open => fixed
2018-02-22 16:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/72f923b76be55ff620debeb56bbf76a5bef1422f [^]
2018-02-22 16:11 dmiguelez Review Assigned To => dmiguelez
2018-02-22 16:11 dmiguelez Note Added: 0102602
2018-02-22 16:11 dmiguelez Status resolved => closed
2018-02-22 16:11 dmiguelez Fixed in Version => 3.0PR18Q2
2018-03-02 21:18 hudsonbot Checkin
2018-03-02 21:18 hudsonbot Note Added: 0102946


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker